image: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/docker:20.10.16

services:
  - name: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/docker:20.10.16-dind
    alias: docker

stages:
  - docker

default:
  retry: 2

variables:
  DOCKER_BUILDKIT: 1
  DOCKER_DRIVER: overlay2
  DOCKER_HOST: tcp://docker:2376
  DOCKER_TLS_CERTDIR: "/certs"

before_script:
  - docker login
    -u $CI_REGISTRY_USER
    -p $CI_REGISTRY_PASSWORD
    $CI_REGISTRY
  - docker login
    -u $CI_DEPENDENCY_PROXY_USER
    -p $CI_DEPENDENCY_PROXY_PASSWORD
    $CI_DEPENDENCY_PROXY_SERVER

.review:
  stage: docker
  variables:
    PROJECT_TAG: $CI_COMMIT_REF_SLUG
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH

.main:
  stage: docker
  variables:
    PROJECT_TAG: $CI_COMMIT_REF_SLUG
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

.tags:
  stage: docker
  variables:
    PROJECT_TAG: $CI_COMMIT_TAG
  rules:
    - if: $CI_COMMIT_TAG
